Name:          cortado
Version:       0.6.0
Release:       %mkrel 4
Summary:       Java media framework
Group:         System/Libraries
License:       BSD, GPL, LGPL
Url:           http://theora.org/cortado/
Source0:       http://svn.xiph.org/releases/cortado/cortado-0.6.0.tar.gz

BuildRequires: java-devel
BuildRequires: jpackage-utils
BuildRequires: git
BuildRequires: ant

Requires:      jpackage-utils
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:      java

%description
Cortado is a Java media framework based on GStreamer's design.

%package devel
Summary:       Development libraries for %{name}
Group:         Development/Java
Requires:      jpackage-utils
BuildArch:     noarch

%description devel
Cortado is a Java media framework based on GStreamer's design.

This package contains libraries need for development.

%package javadoc
Summary:       Javadoc for %{name}
Group:         Development/Java
BuildArch:     noarch

%description javadoc
This package contains javadoc for %{name}

%prep
%setup -q -n cortado-%{version}

for j in $(find . -name "*.jar"); do
  rm -rf $j
done

for c in $(find . -name "*.class"); do
  rm -rf $c
done

# [echo] Stopping at filesystem boundary (GIT_DISCOVERY_ACROSS_FILESYSTEM not set).
sed -i 's|<arg line="${src}/../scripts/get-revision" />||' build.xml
sed -i 's/value="${REVISION}"/value="git"/' build.xml

for i in `find -name "*.java"`
do
        native2ascii -encoding UTF8 $i $i
done

%build

ant -Dprefix=%{_prefix} all
rm -rf output/build/debug/com
mv src/com/fluendo/examples .
%javac `find stubs -name "*.java"`
%javac `find src -name "*.java"`

pushd src
  %jar cf ../%{name}.jar `find -name "*.class"`
popd
%javadoc -d doc -public `find src -name "*.java"`

%install
[ %{buildroot} != / ] && rm -rf %{buildroot}

ant -Dprefix=%{buildroot}%{_prefix} install_class
ant -Dprefix=%{buildroot}%{_prefix} -Dtype=stripped install_applet
ant -Dprefix=%{buildroot}%{_prefix} -Dtype=debug install_applet

for type in mmjs ov ovt ovtk; do
  ln -sf cortado-$type-debug-%{version}.jar \
    %{buildroot}%{_datadir}/cortado/cortado-$type.jar
done

mkdir -p %{buildroot}%{_javadir}
install -pm 644 %{name}.jar \
  %{buildroot}%{_javadir}/
# for jMonkeyEngine SDK
ln -sf %{name}.jar \
  %{buildroot}%{_javadir}/cortado-jheora-debug.jar
ln -sf %{name}.jar \
  %{buildroot}%{_javadir}/cortado-jheora-jst-debug.jar

mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -pr doc/* %{buildroot}%{_javadocdir}/%{name}

%if "%{_lib}" == "lib64"
mkdir -p %buildroot%{_libdir}/cortado
mv %buildroot%_prefix/lib/%name %buildroot%{_libdir}/cortado
%endif

%files
%dir %{_libdir}/cortado
%{_libdir}/cortado/*
%dir %{_datadir}/cortado
%{_datadir}/cortado/*
%doc ChangeLog HACKING LICENSE.* NEWS README RELEASE TODO examples

%files devel
%{_javadir}/cortado.jar
%{_javadir}/cortado-jheora-debug.jar
%{_javadir}/cortado-jheora-jst-debug.jar

%files javadoc
%{_javadocdir}/%{name}


%changelog

* Fri Jan 11 2013 umeabot <umeabot> 0.6.0-4.mga3
+ Revision: 348188
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 09 2013 dmorgan <dmorgan> 0.6.0-3.mga3
+ Revision: 343756
- Fix file encoding

* Mon Oct 31 2011 dmorgan <dmorgan> 0.6.0-2.mga2
+ Revision: 160218
- Bump release as Build failed only in one arch

  + gil <gil>
    - imported package cortado

